# Module sqlite-commons

This is the sqlite-common module It contains utils for "@saltcorn/sqlite" and "@saltcorn/sqlite-mobile"

## Type Aliases

SqlAndValues

## Functions

buildInsertBulkSql
buildInsertSql
commitAndBeginNewTransaction
do_add_index
do_drop_index
doCount
doDeleteWhere
doListScTables
doListTables
doListUserDefinedTables
mkVal
openOrUseTransaction
reprAsJson
slugify
tryCatchInTransaction
whenTransactionisFree
withTransaction